Index: palm/trunk/UTIL/inifor/README
===================================================================
--- palm/trunk/UTIL/inifor/README	(revision 2696)
+++ palm/trunk/UTIL/inifor/README	(revision 3182)
@@ -1,3 +1,3 @@
-INIFOR - Initialization and Forcing of PALM-4U (v1.1.5)
+# INIFOR - Mesoscale Interface for Initializing and Forcing PALM-4U (v1.3.0)
 
 INIFOR provides the meteorological fields required to initialize and drive the
@@ -5,54 +5,123 @@
 interpolated from output data of the meso-scale model COSMO.
 
-COMPILATION
+
+## COMPILATION
 
 1. Customize ./Makefile and ./tests/Makefile (netCDF library location, compiler
    and parameters, use Makefile.ifort as a template if you want to use the Intel
    Fortran compiler)
-2. $ make
+2. Run `make`
 
-USAGE
 
-1. Customize ./namelist (number or grid points and spacings, end_time)
-2. $ ./bin/inifor -path <scenario path> -date <YYYYMMDD> -clat <latitude> -clon <longitude>
+## USAGE
 
-All COMMAND-LINE PARAMETERS
+1. Customize `./namelist` (number or grid points and spacings, end_time)
+2. Run `current_version/trunk/SCRIPTS/inifor -path <scenario path> -date <YYYYMMDD>`
 
--date <date>: Start date of the simulation in the form YYYMMDD. Currently,
-    INIFOR assumes that the simulation starts at O UTC on that day.
-    Default: 20130721
 
--hhl <netCDF file>: Location of the netCDF file containing the vertical COSMO-DE
-    grid (hhh = height of half layers, i.e. vertical cell faces).
-    Default: <scenario path>/hhl.nc
+## AVAILABLE NAMELIST PARAMETERS
 
--mode profile: Produce average profiles instead of three-dimensional fields as 
-    initial conditions.
+INIFOR mirrors a subset of the PALM-4U's Fortran namelists `inipar` and `d3par`
+and supports the following parameters:
 
--n <namelist file>: Location of the PALM-4U namelist file. INIFOR expects the
-    file to contain two namelists, inipar and d3par, from which it will read
-    grid parameters and the simulation time. Default: ./namelist
 
--o <ouput file>: Name of the INIFOR output file. Default: ./palm-4u-input.nc
+### inipar
 
--p0 <pressure>: Surface pressure at z=0 in the PALM-4U domain [Pa].
-    Default: 1e5 Pa = 1000 hPa
+    nx, ny, nz - number of PALM-4U grid points in x, y, and z direction
+    dx, dy, dz(10) - PALM-4U grid spacings in x, y, and z direction [m]
+    dz_stretch_level - height above which the grid will be stretched [m]
+    dz_stretch_factor - factor by which the grid will be stretched
+    dz_max - maximum vertical grid spacing [m]
+    dz_stretch_level_start(9) - array of height levels above which the grid is
+    to be stretched vertically [m]
+    dz_stretch_level_end(9) - array of height levels until which the grid is to
+    be stretched vertically [m]
+    longitude, latitude - geographical coordinates of the PALM-4U origin [deg]
 
--path <scenario path>: Scenario path, i.e. the path of the meteorological input
-    data. Default: ./
 
--soil <netCDF file>: Location of the netCDF file containing the COSMO-DE soil type
-    map.
-    Default: <scenario path>/soil.nc
+### d3par
 
--static <static driver file>: Location of the netCDF file containing the static
-    driver file for the case to be simulated with PALM-4U. Optional parameter.
-    Default: None
+    end_time - PALM-4U simulation time. INIFOR will produce hourly forcing data
+        from the start date (see -d command-line option) to end_time seconds
+        thereafter. [s]
 
--ug <velocity>: Specifies the geostrophic wind in x direction [m/s]. Default: 0
 
--vg <velocity>: Specifies the geostrophic wind in y direction [m/s]. Default: 0
+### EXAMPLE NAMELIST FILE
 
--z0 <height>: Specifies the elevation of the the PALM-4U domain above sea level [m].
-    Default: 35 m
+    &inipar nx = 4679, ny = 3939, nz = 360
+            dx = 10., dy = 10., dz = 10.
+            dz_stretch_level = 2500.0, dz_stretch_factor = 1.08, dz_max = 100.0
+            longitude = 13.082744, latitude = 52.325079
+    /
+    
+    &d3par  end_time = 86400.0
+    /
 
+
+## AVAILABLE COMMAND-LINE PARAMETERS
+
+    -d, --date, -date <date>:
+        Start date of the simulation in the form YYYYMMDD of YYYYMMDDHH. If no
+        hours (HH) are given, INIFOR assumes that the simulation starts at O UTC
+        on that day. Default: 20130721
+        
+    -i, --init-mode, -mode <mode>:
+        Set the PALM-4U initialization mode. INIFOR can provide initial conditions
+        as either profiles or three-dimensional fields. The corresponding modes
+        are 'profile' and 'volume'. Default: volume
+
+    -l, --hhl-file, -hhl <netCDF file>:
+        Location of the netCDF file containing the vertical COSMO-DE grid levels,
+        specifically the heights of half levels (hhl, i.e. vertical cell faces).
+        Default: <scenario path>/hhl.nc
+
+    -n, --namelist <namelist file>:
+        Location of the PALM-4U namelist file. INIFOR expects the file to contain
+        two namelists, inipar and d3par, from which it will read grid parameters
+        and the simulation time. Default: ./namelist
+
+    -o, --output <output file>:
+        Name of the INIFOR output file, i.e. the PALM-4U dynamic driver.
+        Default: ./palm-4u-input.nc
+
+    -p, --path, -path <scenario path>:
+        Scenario path, i.e. the path of the meteorological input data. Default: ./
+
+    -r, --surface-pressure, -p0 <pressure>:
+        Surface pressure at z=0 in the PALM-4U domain [Pa].
+        Default: 1e5
+
+    -s, --soil-file, -soil <netCDF file>:
+        Location of the netCDF file containing the COSMO-DE soil type map.
+        Default: <scenario path>/soil.nc
+
+    -t, --static-driver, -static <netCDF file>:
+        Location of the netCDF file containing the static driver file for the case
+        to be simulated with PALM-4U. Optional parameter. Default: None
+
+    -u, --geostrophic-u, -ug <velocity>:
+        Specifies the geostrophic wind in x direction [m/s]. Default: 0
+
+    -v, --geostrophic-v, -vg <velocity>:
+        Specifies the geostrophic wind in y direction [m/s]. Default: 0
+
+    --version:
+        Output version number and exit.
+
+    -z, --elevation, -z0 <height>: Specifies the elevation of the PALM-4U domain
+        above sea level [m]. Default: 35
+
+
+## ADDITIONAL COMMAND-LINE OPTIONS
+
+    --flow-prefix <prefix>:
+        Set the file prefix of flow input files. Default: laf
+
+    --radiation-prefix <prefix>:
+        Set the file prefix of radiation input files. Default: laf
+
+    --soil-prefix <prefix>:
+        Set the file prefix of soil input files. Default: laf
+
+    --soilmoisture-prefix <prefix>:
+        Set the file prefix of soil moisture input files. Default: laf
